#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasma-remotecontrollers
Version: 5.27.10
Release:        %mkrel %rel
Summary:        Translate various input device events into keyboard and pointer events
License:        Multiples
Group:          Graphical desktop/KDE
URL:            https://plasma-bigscreen.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

Patch1:         plasma-remotecontrollers-5.27.0-udev-path.patch

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Package)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(LibTaskManager)
BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  cmake(ScreenSaverDBusInterface)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  pkgconfig(libcec)
BuildRequires:  pkgconfig(libevdev)
#BuildRequires:  pkgconfig(libxwiimote)
BuildRequires:  pkgconfig(wayland-protocols)


%description
Remote control interface for Plasma, primarily for use with plasma-bigscreen.
Translate various input device events into keyboard and pointer events.

%files -f %{name}.lang
%{_kf5_categoriesdir}/plasma-remotecontrollers.categories
%{_qt5_settingsdir}/autostart/org.kde.plasma-remotecontrollers.desktop
%{_qt5_settingsdir}/plasma-remotecontrollersrc
%{_kf5_bindir}/plasma-remotecontrollers
%{_qt5_plugindir}/kcms/kcm_mediacenter_remotecontrollers.so
%{_kf5_qmldir}/org/kde/plasma/remotecontrollers/
%{_kf5_applicationsdir}/org.kde.plasma-remotecontrollers.desktop
%{_kf5_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.CEC.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.ControllerManager.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.EVDEV.xml
%{_kf5_knotificationsdir}/plasma-remotecontrollers.notifyrc
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/
%{_kf5_services}/kcm_mediacenter_remotecontrollers.desktop
%{_kf5_metainfodir}/org.kde.plasma.remotecontrollers.metainfo.xml
%{_udevrulesdir}/40-uinput.rules

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri Feb 09 2024 neoclust <neoclust> 5.27.10-1.mga9
+ Revision: 2039961
- New version 5.27.10

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958065
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951979
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949103
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945810
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944822
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942344
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935923
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930086
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923500
- New version 5.26.4
- New version 5.26.3
- New version 5.26.2

* Mon Oct 24 2022 papoteur <papoteur> 5.26.1-1.mga9
+ Revision: 1898901
- imported package plasma-remotecontrollers

